Page MenuHomePhabricator

Port CentralAuth Selenium tests from Ruby to Node
Closed, ResolvedPublic

Description

Details

Related Gerrit Patches:
mediawiki/extensions/CentralAuth : masterDelete Ruby Selenium tests
integration/config : masterDo not run Ruby and/or Selenium jobs for CentralAuth
mediawiki/extensions/CentralAuth : masterWIP Port Selenium tests from Ruby to Node
integration/config : masterRun mediawiki-core-qunit-selenium-jessie for CentralAuth

Event Timeline

Tgr created this task.Aug 23 2017, 10:16 PM
Restricted Application added a subscriber: Aklapper. ยท View Herald TranscriptAug 23 2017, 10:16 PM
Tgr renamed this task from Port CentralAuth browser tests from Celenium to Node to Port CentralAuth Selenium tests from Ruby to Node.Aug 23 2017, 10:17 PM

To get this going, I will create a sample test.

zeljkofilipin triaged this task as Medium priority.Aug 24 2017, 10:56 AM

Change 373522 had a related patch set uploaded (by Zfilipin; owner: Zfilipin):
[mediawiki/extensions/CentralAuth@master] WIP Port Selenium tests from Ruby to Node

https://gerrit.wikimedia.org/r/373522

Change 373523 had a related patch set uploaded (by Zfilipin; owner: Zfilipin):
[integration/config@master] Run mediawiki-core-qunit-selenium-jessie for CentralAuth

https://gerrit.wikimedia.org/r/373523

Change 373523 merged by jenkins-bot:
[integration/config@master] Run mediawiki-core-qunit-selenium-jessie for CentralAuth

https://gerrit.wikimedia.org/r/373523

zeljkofilipin removed zeljkofilipin as the assignee of this task.Aug 24 2017, 1:18 PM

The setup is done, let me know if you need help. I am available for reviews and pairing.

greg added a subscriber: greg.

Removing our -kanban project as we've done the setup. Let us know if you need help.

Change 373522 abandoned by Zfilipin:
WIP Port Selenium tests from Ruby to Node

Reason:
No activity in over a month.

https://gerrit.wikimedia.org/r/373522

@Tgr let me know if you need help. I am available for pairing and/or code review. Documentation is available: Selenium/Node.js, Selenium/Node.js/Write...

Tgr added a comment.Nov 14 2017, 11:30 PM

Thanks for the offer! What I'd need is time, mostly. I'll probably get around to this in December.

zeljkofilipin changed the task status from Open to Stalled.Jun 28 2018, 12:10 PM
Tgr raised the priority of this task from Medium to High.Oct 31 2018, 4:03 AM

The Ruby tests are now broken (Gem::InstallError: watir requires Ruby version >= 2.3.0).

Should I delete failing selenium-CentralAuth job?

Tgr added a comment.Nov 28 2018, 8:29 AM

I don't know who else is getting the warning; I don't mind having a daily reminder that this needs to be done.

greg removed a subscriber: greg.Jan 23 2019, 7:22 AM
zeljkofilipin changed the task status from Stalled to Open.Jul 10 2019, 1:59 PM
zeljkofilipin claimed this task.
zeljkofilipin lowered the priority of this task from High to Medium.

Change 521879 had a related patch set uploaded (by Zfilipin; owner: Zfilipin):
[mediawiki/extensions/CentralAuth@master] Delete Ruby Selenium tests

https://gerrit.wikimedia.org/r/521879

Change 521881 had a related patch set uploaded (by Zfilipin; owner: Zfilipin):
[integration/config@master] Do not run Ruby and/or Selenium jobs for CentralAuth

https://gerrit.wikimedia.org/r/521881

Change 521881 merged by jenkins-bot:
[integration/config@master] Do not run Ruby and/or Selenium jobs for CentralAuth

https://gerrit.wikimedia.org/r/521881

Change 521879 merged by jenkins-bot:
[mediawiki/extensions/CentralAuth@master] Delete Ruby Selenium tests

https://gerrit.wikimedia.org/r/521879

zeljkofilipin closed this task as Resolved.Jul 12 2019, 3:20 PM